Factunexo Docs
API RESTReferenciaBillingNotas de Débito

Crear y autorizar nota de débito

POST
/api/v1/billing/debit-notes

Authorization

X-API-Secret<token>

API Secret para autenticación. Debe enviarse junto con X-API-Key.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v1/billing/debit-notes" \  -H "Content-Type: application/json" \  -d '{    "posId": "7f542382-3a91-4db8-938e-e9f86b88057c",    "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",    "info": {      "emissionDate": "2019-08-24",      "modDocCode": "INVOICE",      "modDocNumber": "string",      "supportDocEmissionDate": "string"    },    "reasons": [      {        "itemId": "f11b669d-7201-4c21-88af-d85092f0c005",        "value": 0      }    ]  }'
{  "requestId": "string",  "timestamp": "string",  "data": {    "debitNoteId": "ca809551-f03e-47ef-b0e1-5b0514049189",    "receiptId": "4937ce52-e283-4321-b00f-c29b6dd5d0e9",    "sequential": "string",    "emissionDate": "2019-08-24",    "status": "SAVED",    "authorizationNumber": "string",    "authorizationDate": "2019-08-24T14:15:22Z",    "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",    "info": {      "emissionDate": "2019-08-24",      "address": "string",      "rise": "string",      "modDocCode": "INVOICE",      "modDocNumber": "string",      "supportDocEmissionDate": "string"    },    "reasons": [      {        "itemId": "f11b669d-7201-4c21-88af-d85092f0c005",        "code": "string",        "extraCode": "string",        "reason": "string",        "quantity": 0,        "price": 0,        "value": 0      }    ]  }}